# Class AuthTest

java.lang.Object
uk.ac.starlink.auth.AuthTest

public class AuthTest extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AuthScheme[]`
`SCHEMES`

## Constructor Summary

Constructors
Constructor
Description
`AuthTest()`

## Method Summary

Modifier and Type
Method
Description
`static ContextFactory`
`getContextFactory(Challenge ch, URL url)`
`static AuthScheme`
`getSchemeByName(String name)`
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCHEMES

public static final AuthScheme[] SCHEMES

## Constructor Details

### AuthTest

public AuthTest()

## Method Details

### getSchemeByName

public static AuthScheme getSchemeByName(String name)

### getContextFactory

public static ContextFactory getContextFactory(Challenge ch, URL url) throws BadChallengeException

Throws:
  `BadChallengeException`

### main

public static void main(String[] args) throws IOException, URISyntaxException, BadChallengeException

Throws:
  `IOException`
  `URISyntaxException`
  `BadChallengeException`